//
//  Word.h
//  Duncan
//
//  Created by Risa Mettaserikul on Tue Feb 18 2003.
//  Copyright (c) 2003 CSFSS. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface WordState : NSObject
{
}
+ (WordState *)state;

@end

@interface Word : NSObject
{
    Word *parentDictionary;
    NSString *string;
    NSString *definition;
    NSMutableDictionary *_dict;
}
+ (Word *) wordWithString:(NSString *)w definition:(NSString *)def;
- (id) init;
- (id) initWithString:(NSString *)initstr definition:(NSString *)def;
- (NSArray *)findWordEqualToString:(NSString *)aString;
- (NSString *) string;
- (NSString *) definition;
- (NSString *) path;
- (id) target;
- (void) setString:(NSString *)aString;
- (void) setDefinition:(NSString *)aDefinition;
- (void) setPath:(NSString *)aPath;
- (void) setTarget:(id)newTarget;
- (id) wordState;
- (void) dealloc;
- (void) lock;
- (void) unlock;

- (NSAttributedString *)presentation;

@end
