//
//  WordContainer.h
//  Duncan
//
//  Created by Risa Mettaserikul on Sun Feb 16 2003.
//  Copyright (c) 2003 CSFSS. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Word.h"


@interface WordContainer : Word
{
    NSMutableArray *wordList;
    NSMutableArray *_sortingList;
    /*do not rethink again if we should use immutable*/
    BOOL isDirty;
    BOOL isReady;
    BOOL isChanged;
    BOOL isSearch;
}
- (NSMutableArray *)sortedIndexes;
- (id)init;
- (id)initWithName:(NSString *)newName;
- (void) addEntriesFromDictionary:(NSDictionary *)dict;
- (int)count;
- (void)addWord:(Word *) word;
- (NSEnumerator *)objectEnumerator;
- (NSArray *)findWordEqualToString:(NSString *)aString;
- (NSMutableArray *)sortedIndexes;
- (WordContainer *)wordAtIndex:(int)i;
- (void) dealloc;
@end

